Name:		neverball
Summary:	Roll a ball through an obstacle course
Epoch:		1
Version: 	1.6.0
Release: 	%mkrel 10
Group:		Games/Arcade
License:	GPLv2+
Url:		http://www.neverball.org
Source0:	http://www.neverball.org/%{name}-%{version}.tar.gz
Patch1:		neverball-1.6.0-gcc10.patch
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	GL-devel
BuildRequires:	pkgconfig(physfs)
Obsoletes:	neverputt
Provides:	neverputt = %{version}-%{release}

%description
Tilt the floor to roll a ball through an obstacle course within the
given time.  If the ball falls or time expires, a ball is lost.
This package inclutes neverputt, a golf game based on neverball.
Hardware accellerated OpenGL support with multitexture is required.

%prep
%setup -q
%autopatch -p1
sed -i "/Version/d" dist/%{name}.desktop.in
sed -i "/Version/d" dist/neverputt.desktop.in

%build
%make_build \
    CFLAGS="%{optflags} -ansi `sdl2-config --cflags`" \
    ENABLE_NLS=1 \
    DATADIR=%{_gamesdatadir}/%{name} \
    LOCALEDIR=%{_datadir}/locale

%install
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 %{name} %{buildroot}%{_gamesbindir}/%{name}
install -m 755 neverputt %{buildroot}%{_gamesbindir}/

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
# .map files are the sources for the levels generated by the buildsystem
rm -fr data/map-*/*.map
cp -a data/* %{buildroot}%{_gamesdatadir}/%{name}/
chmod -R a+rX %{buildroot}%{_gamesdatadir}/%{name}/

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 dist/*.desktop %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_mandir}/man6
install -m 644 dist/*.6 %{buildroot}%{_mandir}/man6

for res in 16 24 32 48 64 128 256; do
    mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps
    install -m 644 dist/neverball_${res}.png %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps/neverball.png
    install -m 644 dist/neverputt_${res}.png %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps/neverputt.png
done

cp -r locale %{buildroot}%{_datadir}/

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%doc doc/*
%{_gamesbindir}/%{name}
%{_gamesbindir}/neverputt
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/neverputt.desktop
%{_iconsdir}/hicolor/*/apps/never*.png
%{_mandir}/man6/neverball.6*
%{_mandir}/man6/neverputt.6*


%changelog
* Wed Jul 01 2020 cjw <cjw> 1:1.6.0-10.mga8
+ Revision: 1601216
- fix build with gcc 10

* Thu Feb 13 2020 umeabot <umeabot> 1:1.6.0-9.mga8
+ Revision: 1515363
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1:1.6.0-8.mga7
+ Revision: 1299730
- Mageia 7 Mass Rebuild

* Wed Jan 04 2017 zezinho <zezinho> 1:1.6.0-7.mga6
+ Revision: 1080148
- fix data files permission #19483
+ akien <akien>
- Remove extraneous data/ subdirectory in data dir

* Fri Apr 22 2016 daviddavid <daviddavid> 1:1.6.0-6.mga6
+ Revision: 1004839
- replace BR libphysfs-devel to pkgconfig(physfs) thus fixing build

* Fri Feb 05 2016 umeabot <umeabot> 1:1.6.0-5.mga6
+ Revision: 939115
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.6.0-4.mga5
+ Revision: 749474
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.6.0-3.mga5
+ Revision: 682873
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 zezinho <zezinho> 1:1.6.0-2.mga5
+ Revision: 655316
- fix l10n without a patch

* Mon Jul 21 2014 zezinho <zezinho> 1:1.6.0-1.mga5
+ Revision: 655295
- new version

* Sat Oct 19 2013 umeabot <umeabot> 1:1.5.4-8.mga4
+ Revision: 526218
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1:1.5.4-7.mga4
+ Revision: 436157
- drop deprecated macro
- rebuild for new libpng
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 cjw <cjw> 1:1.5.4-5.mga3
+ Revision: 282234
- fix file attributes

* Thu May 31 2012 dams <dams> 1:1.5.4-4.mga3
+ Revision: 252280
- add a patch from fedora to explicit link against -lX11 -lm to remove implicit library linkage

* Fri Mar 11 2011 stormi <stormi> 1:1.5.4-3.mga2
+ Revision: 68102
- remove old mdv stuff
- imported package neverball

